<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStationCacheShelfGridsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('station_cache_shelf_grids', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('station_id')->comment('站');
            $table->bigInteger('material_box_id')->nullable()->comment('料箱');
            $table->tinyInteger('grid_id')->comment('编号');
            $table->tinyInteger('status')->comment('状态');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('station_cache_shelf_grids');
    }
}
